c common block definitions for paraxial raytracer
c
c*********************************
c input parameters
c*********************************
c
c
c*********************************************************************
c structure qui definit le maillage et la vitesse (alias lenteur**2  *
c on met les vitesses S apres vitesses P  isp=0 pour P isp=1 pour S  *
c                                                         commil.f   *
c*********************************************************************
cfh this now is the raytracing grid, so nxpc,nypc, nzpc should be MUCH
cfh  larger (than 20,20,12)!!! maximum size maxparuu (P and S)
cfh maxparuu =(nxpc*nypc*nzpc*2)   
cfh for 200*200*100*2 parameters the raytracing grid is 32 mb.
      parameter(nxpc=200,nypc=200,nzpc=100,nzpc2=nzpc*2)
      parameter(maxparuu=nxpc*nypc*nzpc*2)
      common/umod3d/nxu,nyu,nzu,xnu(nxpc),ynu(nypc),znu(nzpc),
     1              uu(nxpc,nypc,nzpc2)
c
c
c***************
c  for mapping the raytracing grid (like locate in simulpsq_common.inc)
      parameter(ixkmrt=1500,iykmrt=1500,izkmrt=1500)
      common/rtlocate/ xlrt,ylrt,zlrt,ixlort(ixkmrt),iylort(iykmrt),
     1 izlort(izkmrt)
c
c  for building the raytracing grid
      real dxrt, dyrt, dzrt
      common/rtbld/ dxrt,dyrt,dzrt
c
c**************
